Bug 57754 - alt+tab no longer works after patches applied
alt+tab no longer works after patches applied
Status: CLOSED DUPLICATE of bug 54491
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
7.2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-20 19:19 EST by Thomas Cameron
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-29 05:59:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
list of all rpms currently installed. (19.92 KB, text/plain)
2001-12-20 19:20 EST, Thomas Cameron
no flags Details

  None (edit)
Description Thomas Cameron 2001-12-20 19:19:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13smp i686)

Description of problem:
I am running RH 7.2 on several i686 computers.  I use Sawfish and GNOME> 
After a fresh install, I can use alt-tab to switch between the various open
windows.  After installing (rpm-Fvh) all the latest patches from
updates.redhat.com, alt-tab only switches between the last two windows I've
used.  It does not scroll through all of the open windows any more.  I've
also noticed that the system beeps every time I try to alt-tab.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install RH 7.2.
2.grab and install all updates from updates.redhat.com
3.restart GNOME, open several windows, try to alt-tab.
	

Actual Results:  as described in problem description

Additional info:
Comment 1 Thomas Cameron 2001-12-20 19:20:45 EST
Created attachment 41147 [details]
list of all rpms currently installed.
Comment 2 Havoc Pennington 2001-12-22 10:00:20 EST
There are no updates for Sawfish; have the X font packages changed somehow?
Comment 3 Thomas Cameron 2001-12-22 15:13:51 EST
You have the list of all RPMs installed on my machine.  I do not believe that
there are any X updates or Sawfish updates installed past the initial
installation of the OS.  Here's the list of all the patches I've downloaded:

Omni-0.5.0-4.i386.rpm
Omni-foomatic-0.5.0-4.i386.rpm
apache-1.3.22-2.i386.rpm
apache-devel-1.3.22-2.i386.rpm
apache-manual-1.3.22-2.i386.rpm
balsa-1.2.3-1.i386.rpm
cyrus-sasl-1.5.24-23.i386.rpm
cyrus-sasl-devel-1.5.24-23.i386.rpm
cyrus-sasl-gssapi-1.5.24-23.i386.rpm
cyrus-sasl-md5-1.5.24-23.i386.rpm
cyrus-sasl-plain-1.5.24-23.i386.rpm
eel-1.0.2-2.i386.rpm
eel-devel-1.0.2-2.i386.rpm
foomatic-1.1-0.20011018.7.i386.rpm
gdb-5.1-1.i386.rpm
ghostscript-6.51-16.i386.rpm
glibc-2.2.4-19.3.i686.rpm
glibc-common-2.2.4-19.3.i386.rpm
glibc-devel-2.2.4-19.3.i386.rpm
glibc-profile-2.2.4-19.3.i386.rpm
htdig-3.2.0-1.b4.0.72.i386.rpm
htdig-web-3.2.0-1.b4.0.72.i386.rpm
iptables-1.2.4-2.i386.rpmiptables-ipv6-1.2.4-2.i386.rpm
kernel-2.4.9-13.i686.rpm
kernel-BOOT-2.4.9-13.i386.rpm
kernel-debug-2.4.9-13.i686.rpm
kernel-doc-2.4.9-13.i386.rpm
kernel-enterprise-2.4.9-13.i686.rpm
kernel-headers-2.4.9-13.i386.rpm
kernel-smp-2.4.9-13.i686.rpm
kernel-source-2.4.9-13.i386.rpm
mew-1.94.2-12.i386.rpm
mod_auth_pgsql-0.9.9-2.i386.rpm
mod_ssl-2.8.5-1.i386.rpm
nfs-utils-0.3.1-13.7.2.1.i386.rpm
nscd-2.2.4-19.3.i386.rpm
openssh-2.9p2-12.i386.rpm
openssh-askpass-2.9p2-12.i386.rpm
openssh-askpass-gnome-2.9p2-12.i386.rpm
openssh-clients-2.9p2-12.i386.rpm
openssh-server-2.9p2-12.i386.rpm
pam-0.75-19.i386.rpm
pam-devel-0.75-19.i386.rpm
patches.txt
printconf-0.3.52-1.i386.rpmprintconf-gui-0.3.52-1.i386.rpm
python-xmlrpc-1.5.1-7.x.3.i386.rpm
raidtools-0.90-24.i386.rpm
rhn_register-2.7.2-7.x.8.i386.rpm
rhn_register-gnome-2.7.2-7.x.8.i386.rpm
semi-1.14.3-8.i386.rpm
semi-xemacs-1.14.3-8.i386.rpm
squid-2.4.STABLE1-6.i386.rpm
up2date-2.7.11-7.x.2.i386.rpm
up2date-gnome-2.7.11-7.x.2.i386.rpm
usermode-1.46-1.i386.rpm
util-linux-2.11f-17.i386.rpm
webalizer-2.01_09-0.72.i386.rpm
wu-ftpd-2.6.1-20.i386.rpm
xemacs-21.1.14-23.7.2.i386.rpm
xemacs-el-21.1.14-23.7.2.i386.rpm
xemacs-info-21.1.14-23.7.2.i386.rpm


After download, I ran rpm -Fvh *.rpm against these patches.

I wish I had better info for you.
Comment 4 Havoc Pennington 2001-12-22 15:50:15 EST
Can you try the sawfish at ftp://people.redhat.com/hp/gnomehide/?
Comment 5 Thomas Cameron 2001-12-24 00:28:59 EST
Just the sawfish* RPMs, or everything in this directory?
Comment 6 Thomas Cameron 2001-12-24 12:52:24 EST
I tried just sawfish, and it wanted other files.  The I tried them all and got:

[root@thomas gnomehide]# rpm -Fvh *
error: failed dependencies:
	libgal.so.15   is needed by Guppi-0.40.0-1
	libgal.so.15   is needed by abiword-0.9.4.1-1
	libgal18 is needed by gal-devel-0.18.1-1
	gnome-mime-data is needed by gnome-vfs-1.0.3.90-1
	libgal.so.18   is needed by gnumeric-0.76-1
	libgal.so.18   is needed by gtkhtml-1.0.0-1
	libgtkhtml.so.9   is needed by balsa-1.1.7-5
	libgtkhtml.so.9   is needed by Gtk-Perl-0.7008-3
	libgtkhtml.so.9   is needed by gnucash-1.6.2-1
	libgtkhtml.so.9   is needed by pygnome-gtkhtml-1.4.1-3
	libpisock.so.3   is needed by jpilot-0.99-7
	libpisock.so.3   is needed by kdepim-pilot-2.2-1
	libguppidata.so.11   is needed by gnucash-1.6.2-1
	libguppidataui.so.11   is needed by gnucash-1.6.2-1
	libguppimath.so.11   is needed by gnucash-1.6.2-1
	libguppiplot.so.11   is needed by gnucash-1.6.2-1
	libguppispecfns.so.11   is needed by gnucash-1.6.2-1
	libguppistat.so.11   is needed by gnucash-1.6.2-1
	libguppitank.so.11   is needed by gnucash-1.6.2-1
	libguppiuseful.so.11   is needed by gnucash-1.6.2-1


Will keep trying.
Comment 7 Havoc Pennington 2001-12-28 10:12:59 EST
Sorry, I should have been clearer. I meant just Sawfish plus anything it
requires (maybe librep and rep-gtk)? Let me know what RPM says you're missing
and I'll tell you which package it's in.
Comment 8 Thomas Cameron 2001-12-31 11:46:46 EST
I have been unable to download these patches.  I have tried to install 
HelixGnome as well, but it will not install.  I am reverting back to RH7.1, as 
I am too busy to fight this.  

Have you been able to replicate the symptoms?  I have replicated it on every 
RH7.2 system I have installed.
Comment 9 Havoc Pennington 2001-12-31 12:11:44 EST
I've seen this before and some similar things. It's caused by fonts not being
found, I believe. The Sawfish RPMs in "gnomehide" use fonts that are more
reliably found (but don't work as well in Japanese).
Comment 10 Thomas Cameron 2002-01-29 05:48:43 EST
FYI - I've just updated several machines with the latest updates from
updates.redhat.com.  I saw some XFree86 updates (dated 23 Jan 02) and installed
them.  Problem is still there.  Alt+Tab just beeps and toggles the last two
windows used.
Comment 11 Thomas Cameron 2002-01-29 05:59:01 EST
DOH!  Spoke too soon!  I was looking through this bug report and saw the link to
ftp://people.redhat.com/hp/gnomehide/.  I grabbed these files:

librep-0.15.1-1.i386.rpm
librep-devel-0.15.1-1.i386.rpm
rep-gtk-0.15-7.i386.rpm
rep-gtk-gnome-0.15-7.i386.rpm
rep-gtk-libglade-0.15-7.i386.rpm
sawfish-1.0.1-1.i386.rpm
sawfish-themer-1.0.1-1.i386.rpm

After installing, alt+tab works again!

Thanks!
Comment 12 Havoc Pennington 2002-03-01 10:20:45 EST
Must be the font issue then, #54491

*** This bug has been marked as a duplicate of 54491 ***

Note You need to log in before you can comment on or make changes to this bug.